Bug 1675731 - python-emcee: FTBFS in Fedora rawhide/f30
Summary: python-emcee: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-emcee
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:34 UTC by Fedora Release Engineering
Modified: 2019-02-14 09:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-14 09:15:49 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:34 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:34 UTC, Fedora Release Engineering
no flags Details
state.log (645 bytes, text/plain)
2019-02-11 21:34 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Github dfm emcee issues 293 None None None 2019-02-13 16:13:57 UTC

Description Fedora Release Engineering 2019-02-11 21:34:08 UTC
python-emcee failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32454853


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix python-emcee at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-emcee will be orphaned. Before branching of Fedora 31,
python-emcee will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:34:10 UTC
Created attachment 1532211 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:34:11 UTC
Created attachment 1532212 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:34:12 UTC
Created attachment 1532213 [details]
state.log

Comment 4 Sergio Pascual 2019-02-13 16:07:31 UTC
It's an incompatibility in the test suite with numpy 1.16

Comment 5 Igor Gnatenko 2019-02-14 09:15:49 UTC
There has been at least one successfull build after mass rebuild.

python-emcee-2.2.1-12.fc30: https://koji.fedoraproject.org/koji/buildinfo?buildID=1209129


Note You need to log in before you can comment on or make changes to this bug.